Loading...
Searching...
No Matches
export.hpp File Reference

## Description

Provides macros to control the set of symbols exported in the ABI.

Warning
  For internal use only!

Go to the source code of this file.

## Macros

#define | MONGOCXX_ABI_CDECL
| Expands to __cdecl when built with MSVC on Windows.
#define | MONGOCXX_ABI_EXPORT
| Exports the associated entity as part of the ABI.
#define | MONGOCXX_ABI_EXPORT_CDECL(...)
| Equivalent to MONGOCXX_ABI_EXPORT with MONGOCXX_ABI_CDECL.
#define | MONGOCXX_ABI_NO_EXPORT
| Excludes the associated entity from being part of the ABI.
#define | MONGOCXX_DEPRECATED
| Declares the associated entity as deprecated.

## Macro Definition Documentation

## MONGOCXX_ABI_CDECL

#define MONGOCXX_ABI_CDECL

Expands to __cdecl when built with MSVC on Windows.

Warning
  For internal use only!

## MONGOCXX_ABI_EXPORT

#define MONGOCXX_ABI_EXPORT

Exports the associated entity as part of the ABI.

Warning
  For internal use only!

## MONGOCXX_ABI_EXPORT_CDECL

#define MONGOCXX_ABI_EXPORT_CDECL | ( |  | ... | ) |

Equivalent to MONGOCXX_ABI_EXPORT with MONGOCXX_ABI_CDECL.

Warning
  For internal use only!

## MONGOCXX_ABI_NO_EXPORT

#define MONGOCXX_ABI_NO_EXPORT

Excludes the associated entity from being part of the ABI.

Warning
  For internal use only!

## MONGOCXX_DEPRECATED

#define MONGOCXX_DEPRECATED

Declares the associated entity as deprecated.

Warning
  For internal use only!